const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const event_tickets = sequelize.define(
    'event_tickets',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

code: {
        type: DataTypes.TEXT,

      },

status: {
        type: DataTypes.ENUM,

        values: [

"valid",

"used",

"refunded"

        ],

      },

qr_svg: {
        type: DataTypes.TEXT,

      },

issued_to_name: {
        type: DataTypes.TEXT,

      },

issued_to_email: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  event_tickets.associate = (db) => {

    db.event_tickets.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.event_tickets.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return event_tickets;
};

